Origami Frontend Components & Services

Details: o-table

Required Browser Features

o-table@^7.3.3 requires the following browser features:

We recommend polyfill.io to add support for missing features to older browsers.

Bower Dependencies

Dependency Version
o-grid ^4.0.6
o-brand ^3.1.1
o-icons >=4.0.0 <6
o-colors ^4.0.0
o-buttons ^5.14.0
o-spacing ^2.0.0
o-typography ^5.0.0
ftdomdelegate >=2.2.0 <4.0.0
o-visual-effects ^2.0.3
Switch component view

GitHub Repository

Install o-table

If using the Build Service, add o-table@^7.3.3 to your script and link tags.

If running a Manual Build, run bower install --save "o-table@^7.3.3".

Help & Support

o-table is maintained directly by the Origami team. If you have any questions about o-table or Origami in general, we are happy to help. 😊

Slack: #ft-origami
Email: origami.support@ft.com

Feedback / Issues

To report a bug or request features please create an issue on Github. For support or general feedback please get in touch 😊

Slack: #ft-origami
Email: origami.support@ft.com